%define name	prelude-lml
%define version	0.8.6
%define release	3mdk

%define _localstatedir /var

Summary:        Prelude Hybrid Intrusion Detection System - Log Analyzer Sensor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:        GPL
Group:          Networking/Other
URL:            http://www.prelude-ids.org/
Source:		http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	prelude-devel => 0.8.10-2mdk
BuildRequires:  libpcre-devel
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
of the Prelude Hybrid IDS suite. It can act as a centralized log collector for
local or remote systems, or as a simple log analyzer (such as swatch). It can
run as a network server listening on a syslog port or analyze log files. It
supports logfiles in the BSD syslog format and is able to analyze any logfile
by using the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected. 

%package	devel
Summary:	Libraries, includes, etc. to develop Prelude Log Analyzer Sensor
Group:		Development/C
Requires:	%{name} = %{version}

%description	devel
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
of the Prelude Hybrid IDS suite. It can act as a centralized log collector for
local or remote systems, or as a simple log analyzer (such as swatch). It can
run as a network server listening on a syslog port or analyze log files. It
supports logfiles in the BSD syslog format and is able to analyze any logfile
by using the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected. 
The devel headers.

%prep

%setup -q

# fix conflicting declaration with MySQL-4.1.x
find -type f | xargs perl -pi -e "s|list_add|list_prelude_add|g"

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README INSTALL
%{_bindir}/prelude-lml
%{_libdir}/prelude-lml/
%config(noreplace) %{_sysconfdir}/prelude-lml/

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README INSTALL
%{_includedir}/prelude-lml/*.h
%dir %{_includedir}/prelude-lml/

%changelog
* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-3mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs
- fix conflicting declaration with MySQL-4.1.x
- fix deps

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 0.8.6-2mdk
- rebuild for new gcc
- [DIRM]
 
* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-1mdk
- 0.8.6
- use %%configure macro
- wipe out $RPM_BUILD_ROOT before installing

* Tue Sep 09 2003 Florin Grad <florin@mandrakesoft.com> 0.8.1-1mdk
- first mandrake release

* Wed Sep 03 2002 Sylvain GIL <prelude-packaging@tootella.org> 0.8.1-1
-  Initial Packaging.
